Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2011-5-27 22:23

# Class File

- Defined in: File.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| File()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| created
| creator
| metadata
| modified
| modifier
| name
| parent_id
| parent_type
| prototype
| requests
| site

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | File.add(data, site, user)
| contentLength_macro(param)
| getConfirmText()
| getFile()
| getFormValue(name)
<static> | File.getName(name)
| getPermission(action)
| getUrl()
<static> | File.redirectOnExceededQuota(url)
<static> | File.redirectOnUploadError(url)
<static> | File.remove()
| update(data)
| url_macro()

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormOptions
  getMetadata
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

File()

## Field Detail

{Date} created
{User} creator
{Metadata} metadata
{Date} modified
{User} modifier
{String} name
{Number} parent_id
{String} parent_type
{String} prototype
{Number} requests
{Site} site

## Method Detail

- <static> {File} File.add(data, site, user)
  Parameters:
  {Object} data
  {Site} site
  {User} user
  Returns:
    {File}
- contentLength_macro(param)
  Parameters:
  {Object} param
- {String} getConfirmText()
  Returns:
    {String}
- getFile()
- {Object} getFormValue(name)
  Parameters:
  {String} name
  Returns:
    {Object}
- <static> File.getName(name)
  Parameters:
  {String} name
- {Boolean} getPermission(action)
  Parameters:
  {String} action
  Returns:
    {Boolean}
- getUrl()
- <static> File.redirectOnExceededQuota(url)
  Parameters:
  {String} url
- <static> File.redirectOnUploadError(url)
  Parameters:
  {String} url
- <static> File.remove()
- update(data)
  Parameters:
  {Object} data
- url_macro()